<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>kdewebkit_export.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kdewebkit__export_8h</filename>
  </compound>
  <compound kind="file">
    <name>kgraphicswebview.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kgraphicswebview_8cpp</filename>
    <includes id="kgraphicswebview_8h" name="kgraphicswebview.h" local="yes" imported="no">kgraphicswebview.h</includes>
    <includes id="kwebpage_8h" name="kwebpage.h" local="yes" imported="no">kwebpage.h</includes>
    <includes id="kwebview__p_8h" name="kwebview_p.h" local="yes" imported="no">kwebview_p.h</includes>
  </compound>
  <compound kind="file">
    <name>kgraphicswebview.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kgraphicswebview_8h</filename>
    <includes id="kdewebkit__export_8h" name="kdewebkit_export.h" local="no" imported="no">kdewebkit_export.h</includes>
    <class kind="class">KGraphicsWebView</class>
    <class kind="class">KWebViewPrivate</class>
  </compound>
  <compound kind="file">
    <name>kwebpage.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebpage_8cpp</filename>
    <includes id="kwebpage_8h" name="kwebpage.h" local="yes" imported="no">kwebpage.h</includes>
    <includes id="kwebwallet_8h" name="kwebwallet.h" local="yes" imported="no">kwebwallet.h</includes>
    <includes id="kwebpluginfactory_8h" name="kwebpluginfactory.h" local="yes" imported="no">kwebpluginfactory.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>QL1C</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>a6e9309f3af5f5aafc807e2bfabdfdb9f</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>QL1S</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>a494a67733a420247121b62cbce9782a3</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>downloadResource</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>a00b23680bb49e797751838b31463104b</anchor>
      <arglist>(const KUrl &amp;srcUrl, const QString &amp;suggestedName=QString(), QWidget *parent=0, const KIO::MetaData &amp;metaData=KIO::MetaData())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>extractMimeType</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>ac15e0a9fc3c4210170b8ada3bc5cd309</anchor>
      <arglist>(const QNetworkReply *reply, QString &amp;mimeType)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isMimeTypeAssociatedWithSelf</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>ade348afcdde8ceb1a576d7fddbf3a6cd</anchor>
      <arglist>(const KService::Ptr &amp;offer)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isReplyStatusOk</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>afc152cdf7d0c2a9b6cb95b8627570167</anchor>
      <arglist>(const QNetworkReply *reply)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>reloadRequestWithoutDisposition</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>a0589d5e9e971d2ea1ce265bed95f752a</anchor>
      <arglist>(QNetworkReply *reply)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setActionIcon</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>a428835d420b7ec97a32469e384ea5bdf</anchor>
      <arglist>(QAction *action, const QIcon &amp;icon)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setActionShortcut</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>a7937ab073872a0f28d3a26e383acb42a</anchor>
      <arglist>(QAction *action, const KShortcut &amp;shortcut)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDisableCookieJarStorage</name>
      <anchorfile>kwebpage_8cpp.html</anchorfile>
      <anchor>ac87c9b792a10e986a4b0777f56ff0a8f</anchor>
      <arglist>(QNetworkAccessManager *manager, bool status)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kwebpage.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebpage_8h</filename>
    <includes id="kdewebkit__export_8h" name="kdewebkit_export.h" local="no" imported="no">kdewebkit_export.h</includes>
    <class kind="class">KWebPage</class>
  </compound>
  <compound kind="file">
    <name>kwebpluginfactory.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebpluginfactory_8cpp</filename>
    <includes id="kwebpluginfactory_8h" name="kwebpluginfactory.h" local="yes" imported="no">kwebpluginfactory.h</includes>
    <includes id="kwebpage_8h" name="kwebpage.h" local="yes" imported="no">kwebpage.h</includes>
    <includes id="kwebview_8h" name="kwebview.h" local="yes" imported="no">kwebview.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>QL1C</name>
      <anchorfile>kwebpluginfactory_8cpp.html</anchorfile>
      <anchor>a6e9309f3af5f5aafc807e2bfabdfdb9f</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>QL1S</name>
      <anchorfile>kwebpluginfactory_8cpp.html</anchorfile>
      <anchor>a494a67733a420247121b62cbce9782a3</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isHttpProtocol</name>
      <anchorfile>kwebpluginfactory_8cpp.html</anchorfile>
      <anchor>a51b3125396d314656399bcab3572aac3</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kwebpluginfactory.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebpluginfactory_8h</filename>
    <includes id="kdewebkit__export_8h" name="kdewebkit_export.h" local="no" imported="no">kdewebkit_export.h</includes>
    <class kind="class">KWebPluginFactory</class>
  </compound>
  <compound kind="file">
    <name>kwebview.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebview_8cpp</filename>
    <includes id="kwebview_8h" name="kwebview.h" local="yes" imported="no">kwebview.h</includes>
    <includes id="kwebview__p_8h" name="kwebview_p.h" local="yes" imported="no">kwebview_p.h</includes>
    <includes id="kwebpage_8h" name="kwebpage.h" local="yes" imported="no">kwebpage.h</includes>
  </compound>
  <compound kind="file">
    <name>kwebview.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebview_8h</filename>
    <includes id="kdewebkit__export_8h" name="kdewebkit_export.h" local="no" imported="no">kdewebkit_export.h</includes>
    <class kind="class">KWebView</class>
    <class kind="class">KWebViewPrivate</class>
  </compound>
  <compound kind="file">
    <name>kwebview_p.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebview__p_8h</filename>
    <includes id="kwebpage_8h" name="kwebpage.h" local="yes" imported="no">kwebpage.h</includes>
    <class kind="class">KWebViewPrivate</class>
    <member kind="define">
      <type>#define</type>
      <name>QL1S</name>
      <anchorfile>kwebview__p_8h.html</anchorfile>
      <anchor>a494a67733a420247121b62cbce9782a3</anchor>
      <arglist>(x)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kwebwallet.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebwallet_8cpp</filename>
    <includes id="kwebwallet_8h" name="kwebwallet.h" local="yes" imported="no">kwebwallet.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>FILLABLE_FORM_ELEMENT_EXTRACTOR_JS</name>
      <anchorfile>kwebwallet_8cpp.html</anchorfile>
      <anchor>aff8a89a0e218dad37a9c4e566c05d484</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>QL1C</name>
      <anchorfile>kwebwallet_8cpp.html</anchorfile>
      <anchor>a6e9309f3af5f5aafc807e2bfabdfdb9f</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>QL1S</name>
      <anchorfile>kwebwallet_8cpp.html</anchorfile>
      <anchor>a494a67733a420247121b62cbce9782a3</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>collectAllChildFrames</name>
      <anchorfile>kwebwallet_8cpp.html</anchorfile>
      <anchor>ab955ca8b597a1bd431dcf7bd9f930e09</anchor>
      <arglist>(QWebFrame *frame, QList&lt; QWebFrame * &gt; &amp;list)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createSaveKeyFor</name>
      <anchorfile>kwebwallet_8cpp.html</anchorfile>
      <anchor>a40da1f779221d958d8e3f927013c7be9</anchor>
      <arglist>(QWebFrame *frame, QString *key)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QWidget *</type>
      <name>topLevelWindow</name>
      <anchorfile>kwebwallet_8cpp.html</anchorfile>
      <anchor>ac731839965c93ca50b86b20ae3772f34</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QUrl</type>
      <name>urlForFrame</name>
      <anchorfile>kwebwallet_8cpp.html</anchorfile>
      <anchor>a7d44eee29956f8d1fadf690b62c43c00</anchor>
      <arglist>(QWebFrame *frame)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>walletKey</name>
      <anchorfile>kwebwallet_8cpp.html</anchorfile>
      <anchor>a74d920b795f5b09c71c4cc84ab3cae7c</anchor>
      <arglist>(KWebWallet::WebForm form)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kwebwallet.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>kwebwallet_8h</filename>
    <includes id="kdewebkit__export_8h" name="kdewebkit_export.h" local="no" imported="no">kdewebkit_export.h</includes>
    <class kind="class">KWebWallet</class>
    <class kind="struct">KWebWallet::WebForm</class>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="class">
    <name>KGraphicsWebView</name>
    <filename>classKGraphicsWebView.html</filename>
    <base>QGraphicsWebView</base>
    <member kind="signal">
      <type>void</type>
      <name>linkMiddleOrCtrlClicked</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>a5749b513c432de32b5544138cbb6a5cd</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>linkShiftClicked</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>a8843ef16d86d0580f3a104d77d4d1416</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionClipboardUrlPasted</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>a1682d39d58082f3cdf8c76e9d86d8016</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionClipboardUrlPasted</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>ae697ed3314ab631127760f71c5080c73</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;searchText)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGraphicsWebView</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>a1be27f38cf84eebf47aeacc06658c0c6</anchor>
      <arglist>(QGraphicsItem *parent=0, bool createCustomPage=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KGraphicsWebView</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>ad088a724531d6aacb2224a1e6f120c72</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isExternalContentAllowed</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>a56e52792aadff385e819406ca7fe4e19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowExternalContent</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>ad04cf1851da746be887969c3943b4fd1</anchor>
      <arglist>(bool allow)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>ab9567168b5638e44630385c2144be391</anchor>
      <arglist>(QGraphicsSceneMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseReleaseEvent</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>afaac93d1a1f9cc76f6c85f3701cc7075</anchor>
      <arglist>(QGraphicsSceneMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>wheelEvent</name>
      <anchorfile>classKGraphicsWebView.html</anchorfile>
      <anchor>a1d01c3749c251fc49619d1fe939739f4</anchor>
      <arglist>(QGraphicsSceneWheelEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWebPage</name>
    <filename>classKWebPage.html</filename>
    <base>QWebPage</base>
    <member kind="enumeration">
      <type></type>
      <name>IntegrationFlags</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a2b9db8392addba15e635fa9699606dca</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoIntegration</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a2b9db8392addba15e635fa9699606dcaadfc4da385b216bfb1a6fd729892797a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>KIOIntegration</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a2b9db8392addba15e635fa9699606dcaa111ea913f1ec92d7e3cc461856fe03a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>KPartsIntegration</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a2b9db8392addba15e635fa9699606dcaa9ff4cd4d85d105ce1e314ebbf2179cd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>KWalletIntegration</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a2b9db8392addba15e635fa9699606dcaa87897276aab2366a6c1f57f7d5ccf14b</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>downloadRequest</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>ab8890aa6053f2538983d28949f67a7f5</anchor>
      <arglist>(const QNetworkRequest &amp;request)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>downloadResponse</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>adb849007c3c3488d45411fd251d08414</anchor>
      <arglist>(QNetworkReply *reply)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>downloadUrl</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a474fc72b7640f1270917dc54f276ca2d</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KWebPage</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>aaa408e5f9510dff035d947d16d64df78</anchor>
      <arglist>(QObject *parent=0, Integration flags=Integration())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KWebPage</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a3e3eac29ff1e4d7b1a1a0efaecd84ae9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isExternalContentAllowed</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a3a6128a73c7bda3a151ad44eee3fbe7d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowExternalContent</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>adc97054aad8c8c07d8031dc209222aa6</anchor>
      <arglist>(bool allow)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWallet</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a9e58a4aa6900a6b5ea4341c0939c7041</anchor>
      <arglist>(KWebWallet *wallet)</arglist>
    </member>
    <member kind="function">
      <type>KWebWallet *</type>
      <name>wallet</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a2140ac7dad2c1859a510c938a0bffd8b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>acceptNavigationRequest</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>ab4935d81b9664b48d88dfa9ce1883058</anchor>
      <arglist>(QWebFrame *frame, const QNetworkRequest &amp;request, NavigationType type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>handleReply</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>ae67841a13250bcbd56fd91a216428d8a</anchor>
      <arglist>(QNetworkReply *reply, QString *contentType=0, KIO::MetaData *metaData=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>removeRequestMetaData</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>ab5773e74d14d61b37b10639eaa6a7755</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>removeSessionMetaData</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>aed5974b67f245ad100045769d4bdb466</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>requestMetaData</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>ae38496e9ae799de812f055660ef46199</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>sessionMetaData</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a2a56195b0cbe6c6ed3cc6e18946b6cf4</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setRequestMetaData</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a2e98e79b90a35fac062bd3ff98f0fa35</anchor>
      <arglist>(const QString &amp;key, const QString &amp;value)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSessionMetaData</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>a0d6808e64a840e8615d1e4553e7cd65d</anchor>
      <arglist>(const QString &amp;key, const QString &amp;value)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>userAgentForUrl</name>
      <anchorfile>classKWebPage.html</anchorfile>
      <anchor>aaebd5db7468746600d6a860203ee767b</anchor>
      <arglist>(const QUrl &amp;url) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWebPluginFactory</name>
    <filename>classKWebPluginFactory.html</filename>
    <base>QWebPluginFactory</base>
    <member kind="function">
      <type></type>
      <name>KWebPluginFactory</name>
      <anchorfile>classKWebPluginFactory.html</anchorfile>
      <anchor>a2e1d45ed9f790ce50f883ab2df1c7afc</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KWebPluginFactory</name>
      <anchorfile>classKWebPluginFactory.html</anchorfile>
      <anchor>a2f302df1871b40e8bba7cd50470fb682</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QObject *</type>
      <name>create</name>
      <anchorfile>classKWebPluginFactory.html</anchorfile>
      <anchor>a5f6459702e11cfa376abadf7018bb2e9</anchor>
      <arglist>(const QString &amp;mimeType, const QUrl &amp;url, const QStringList &amp;argumentNames, const QStringList &amp;argumentValues) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QList&lt; Plugin &gt;</type>
      <name>plugins</name>
      <anchorfile>classKWebPluginFactory.html</anchorfile>
      <anchor>a8a13ad9ab83d9c1d7364743e5b312ed6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPartInstanceFrom</name>
      <anchorfile>classKWebPluginFactory.html</anchorfile>
      <anchor>aeec6350b4c73828c58b8e4cc20a042eb</anchor>
      <arglist>(const QString &amp;mimeType, const QStringList &amp;argumentNames, const QStringList &amp;argumentValues, QWidget *parentWidget=0, QObject *parent=0) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>excludedMimeType</name>
      <anchorfile>classKWebPluginFactory.html</anchorfile>
      <anchor>adf2774249adbb61cbb3abcc170f785bb</anchor>
      <arglist>(const QString &amp;mimeType) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>extractGuessedMimeType</name>
      <anchorfile>classKWebPluginFactory.html</anchorfile>
      <anchor>a0055527e314292ceeb85e6a990b1d508</anchor>
      <arglist>(const QUrl &amp;url, QString *mimeType) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWebView</name>
    <filename>classKWebView.html</filename>
    <base>QWebView</base>
    <member kind="signal">
      <type>void</type>
      <name>linkMiddleOrCtrlClicked</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>af980c287f2d87fba5fd65bbb773f8dec</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>linkShiftClicked</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>afd52965a14cad3df9da185898c533c0d</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionClipboardUrlPasted</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>ad3975da2d7c31cdfec48bac74d4968e1</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionClipboardUrlPasted</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a8928d4f07ff1e0ca6a6df046a52ffe7a</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;searchText)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KWebView</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a56bf2af1b23a1270acad5398e6c2ef7e</anchor>
      <arglist>(QWidget *parent=0, bool createCustomPage=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KWebView</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a5a724473976cba60b6c561cfe6a76682</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isExternalContentAllowed</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a262bf2d80fcb3ac4287d21c83920dcb8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowExternalContent</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a38306892ef42320dc8524f3091c8e026</anchor>
      <arglist>(bool allow)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a2c997473f9bf4c4362585db6979cc6c3</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseReleaseEvent</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a8b32c7bd448c900b1c8a560364522052</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>wheelEvent</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a683e1fb4b816dce504b2d1c420a67e32</anchor>
      <arglist>(QWheelEvent *event)</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>externalContentAllowed</name>
      <anchorfile>classKWebView.html</anchorfile>
      <anchor>a3d1390d24dc6e879671877ef7b9e2b24</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWebViewPrivate</name>
    <filename>classKWebViewPrivate.html</filename>
    <templarg>T</templarg>
    <member kind="function">
      <type></type>
      <name>KWebViewPrivate</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>a604b2c21559c750ce96da761ce5649e3</anchor>
      <arglist>(T *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleUrlPasteFromClipboard</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>a93a874d755a6a61ef23e0035f50e2f97</anchor>
      <arglist>(QEvent *event)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isExternalContentAllowed</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>a5c20a164142a9840ecf59d433aa9ddcb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mouseReleased</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>a15b1d479349f2c67e355619b00ab2431</anchor>
      <arglist>(const QPoint &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowExternalContent</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>afd1bd53975cf1168182e6e14cc35b98b</anchor>
      <arglist>(bool allow)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wheelEvent</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>a3d9b6ba1a98e25ef006bf2e7c0649c9e</anchor>
      <arglist>(int delta)</arglist>
    </member>
    <member kind="variable">
      <type>QWebHitTestResult</type>
      <name>hitTest</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>ad68f00aace2afb2ef4a719b73e361018</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Qt::KeyboardModifiers</type>
      <name>keyboardModifiers</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>a8b4d654e4a80ce36e187977d24a30c07</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Qt::MouseButtons</type>
      <name>pressedButtons</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>abbd644f341e27e4c3509439cf78c5020</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>T *</type>
      <name>q</name>
      <anchorfile>classKWebViewPrivate.html</anchorfile>
      <anchor>a4285f3b9f37359aef1dbfe2ac481caab</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWebWallet</name>
    <filename>classKWebWallet.html</filename>
    <base>QObject</base>
    <class kind="struct">KWebWallet::WebForm</class>
    <member kind="typedef">
      <type>QList&lt; WebForm &gt;</type>
      <name>WebFormList</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a9bfe4ddb35cc93a3754f0b4813109cf6</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>acceptSaveFormDataRequest</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a762ce276bec132574ea05d08bd60c281</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>rejectSaveFormDataRequest</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>ab7f1828b449e9f79699ce0f17cfe465e</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fillFormRequestCompleted</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a002cbd329a0a1e15b289a0a7206a82c0</anchor>
      <arglist>(bool ok)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>saveFormDataCompleted</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a06698ef9d0572c0265f66b7e8f18416b</anchor>
      <arglist>(const QUrl &amp;url, bool ok)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>saveFormDataRequested</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>ada3b0bb3b288bac65d45f5dfc6bf8e5e</anchor>
      <arglist>(const QString &amp;key, const QUrl &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>walletClosed</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a3e6061f3724d8246c92d1f4ff1131fe8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KWebWallet</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a981ce6fadbf1aa7ecfc7210702b97851</anchor>
      <arglist>(QObject *parent=0, WId wid=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KWebWallet</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a91368c85fe2cb980c35915921b3d847a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillFormData</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a2f3dbcfe38ea9c889c1a44eeff34b750</anchor>
      <arglist>(QWebFrame *frame, bool recursive=true)</arglist>
    </member>
    <member kind="function">
      <type>WebFormList</type>
      <name>formsWithCachedData</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>ad53bbb0f81747977ee43b336cbbeeda6</anchor>
      <arglist>(QWebFrame *frame, bool recursive=true) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFormData</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>afc1daf4fa78cb2b253561961f866a0c8</anchor>
      <arglist>(QWebFrame *frame, bool recursive)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFormData</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a17622679612b225b3f685df09cb32f1a</anchor>
      <arglist>(const WebFormList &amp;forms)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveFormData</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>ab20ac4bfb3886e65f8ff67a423fc94cb</anchor>
      <arglist>(QWebFrame *frame, bool recursive=true, bool ignorePasswordFields=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>fillFormDataFromCache</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a0406c2caddb2cde2b2b8a83db6a2a3f2</anchor>
      <arglist>(const KUrl::List &amp;list)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fillWebForm</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a3f39b2b77f6ea158cb669076831b7a8f</anchor>
      <arglist>(const KUrl &amp;url, const WebFormList &amp;forms)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>WebFormList</type>
      <name>formsToDelete</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>af04d30cc7d19b65e0f9d5e96b96a6536</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>WebFormList</type>
      <name>formsToFill</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a1c15062a848d6c1c1063db878cdbf904</anchor>
      <arglist>(const KUrl &amp;url) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>WebFormList</type>
      <name>formsToSave</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>af6fb227f05276f974536efec08a43a1d</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasCachedFormData</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a26bd78a2d94a60b4e608e8fe48036513</anchor>
      <arglist>(const WebForm &amp;form) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>removeFormDataFromCache</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>a8faf58c90dbd11e5d7e86cc8fbe9478d</anchor>
      <arglist>(const WebFormList &amp;forms)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveFormDataToCache</name>
      <anchorfile>classKWebWallet.html</anchorfile>
      <anchor>aa53a4cacc023d2745338494ba39d7dd0</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KWebWallet::WebForm</name>
    <filename>structKWebWallet_1_1WebForm.html</filename>
    <member kind="typedef">
      <type>QPair&lt; QString, QString &gt;</type>
      <name>WebField</name>
      <anchorfile>structKWebWallet_1_1WebForm.html</anchorfile>
      <anchor>a16d969236a5456551bdbdceb0b30dff3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QList&lt; WebField &gt;</type>
      <name>fields</name>
      <anchorfile>structKWebWallet_1_1WebForm.html</anchorfile>
      <anchor>ad2aeb9baff901b9e56001b0852966238</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>index</name>
      <anchorfile>structKWebWallet_1_1WebForm.html</anchorfile>
      <anchor>a6eff4d5aac3ad40bc17f245eb76ab649</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>structKWebWallet_1_1WebForm.html</anchorfile>
      <anchor>a3d7cbe267e057064cc4259caa4904f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QUrl</type>
      <name>url</name>
      <anchorfile>structKWebWallet_1_1WebForm.html</anchorfile>
      <anchor>a738ed7b51d5733c89694a6e5009b5e73</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGraphicsWebView</name>
    <filename>classQGraphicsWebView.html</filename>
  </compound>
  <compound kind="class">
    <name>QWebPage</name>
    <filename>classQWebPage.html</filename>
  </compound>
  <compound kind="class">
    <name>QWebPluginFactory</name>
    <filename>classQWebPluginFactory.html</filename>
  </compound>
  <compound kind="class">
    <name>QWebView</name>
    <filename>classQWebView.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KCategorizedView</name>
    <filename>namespaceKCategorizedView.html</filename>
  </compound>
  <compound kind="dir">
    <name>kdewebkit</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/kdewebkit/</path>
    <filename>dir_126200ec172cd2e56e77791ebac04c55.html</filename>
    <file>kdewebkit_export.h</file>
    <file>kgraphicswebview.cpp</file>
    <file>kgraphicswebview.h</file>
    <file>kwebpage.cpp</file>
    <file>kwebpage.h</file>
    <file>kwebpluginfactory.cpp</file>
    <file>kwebpluginfactory.h</file>
    <file>kwebview.cpp</file>
    <file>kwebview.h</file>
    <file>kwebview_p.h</file>
    <file>kwebwallet.cpp</file>
    <file>kwebwallet.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>The KDE WebKit Library</title>
    <filename>index</filename>
  </compound>
</tagfile>
