<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>DebuggingAids.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>DebuggingAids_8cpp</filename>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="yes" imported="no">DebuggingAids.h</includes>
    <includes id="threadweaver__export_8h" name="threadweaver_export.h" local="no" imported="no">threadweaver/threadweaver_export.h</includes>
  </compound>
  <compound kind="file">
    <name>DebuggingAids.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>DebuggingAids_8h</filename>
    <includes id="threadweaver__export_8h" name="threadweaver_export.h" local="yes" imported="no">threadweaver/threadweaver_export.h</includes>
    <namespace>ThreadWeaver</namespace>
    <member kind="define">
      <type>#define</type>
      <name>DEBUGONLY</name>
      <anchorfile>DebuggingAids_8h.html</anchorfile>
      <anchor>aafc3e7c4c7cbcd681377b5810c84329b</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ENSURE</name>
      <anchorfile>DebuggingAids_8h.html</anchorfile>
      <anchor>abb1f8242826ee6c8db0dea3a737fb2b0</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>INVARIANT</name>
      <anchorfile>DebuggingAids_8h.html</anchorfile>
      <anchor>a2d4a3657737b001b7d9ec59311e1842f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>P_ASSERT</name>
      <anchorfile>DebuggingAids_8h.html</anchorfile>
      <anchor>a665803c7be596ae0c55c7b06c1c5af50</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PROTECT</name>
      <anchorfile>DebuggingAids_8h.html</anchorfile>
      <anchor>a2a0aa80bab851222ebbb038b531018c6</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REQUIRE</name>
      <anchorfile>DebuggingAids_8h.html</anchorfile>
      <anchor>ae323078af8b5a4808c4bafee4e2bee0d</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>debug</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a876d6f483d88c2a1371fb3fbd731cdba</anchor>
      <arglist>(int severity, const char *cformat,...)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>debug</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a6581236da83b1c1acb82e1425af9e8fb</anchor>
      <arglist>(bool condition, int severity, const char *cformat,...)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invariant</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a9aa115a14f8a86c1ac652736cb69e1c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDebugLevel</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a1173d2f3a27b230af0f48f7024bc0a2a</anchor>
      <arglist>(bool debug, int level)</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>Debug</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>afb4fd50e3517195faa11368e8ddea729</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>DebugLevel</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a4cbaef6dfda430ba712d18df21930ef2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QMutex</type>
      <name>GlobalMutex</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>ab8c94288f8c3639fe381f34a511475f9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DependencyPolicy.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>DependencyPolicy_8cpp</filename>
    <includes id="DependencyPolicy_8h" name="DependencyPolicy.h" local="yes" imported="no">DependencyPolicy.h</includes>
    <includes id="Job_8h" name="Job.h" local="yes" imported="no">Job.h</includes>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="yes" imported="no">DebuggingAids.h</includes>
    <member kind="typedef">
      <type>QMultiMap&lt; Job *, Job * &gt;</type>
      <name>JobMultiMap</name>
      <anchorfile>DependencyPolicy_8cpp.html</anchorfile>
      <anchor>af4c07c9e4ddc664d01d7fcf9d70aed8e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DependencyPolicy.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>DependencyPolicy_8h</filename>
    <includes id="QueuePolicy_8h" name="QueuePolicy.h" local="yes" imported="no">QueuePolicy.h</includes>
    <class kind="class">ThreadWeaver::DependencyPolicy</class>
    <class kind="class">QList</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>DestructedState.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>DestructedState_8cpp</filename>
    <includes id="DestructedState_8h" name="DestructedState.h" local="yes" imported="no">DestructedState.h</includes>
  </compound>
  <compound kind="file">
    <name>DestructedState.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>DestructedState_8h</filename>
    <includes id="StateImplementation_8h" name="StateImplementation.h" local="yes" imported="no">StateImplementation.h</includes>
    <class kind="class">ThreadWeaver::DestructedState</class>
    <namespace>ThreadWeaver</namespace>
    <member kind="define">
      <type>#define</type>
      <name>THREADWEAVER_PRIVATE_API</name>
      <anchorfile>DestructedState_8h.html</anchorfile>
      <anchor>a3f6e781f0c2e7ef4a37858b9af67680b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IncludeMocs.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>IncludeMocs_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>InConstructionState.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>InConstructionState_8cpp</filename>
    <includes id="InConstructionState_8h" name="InConstructionState.h" local="yes" imported="no">InConstructionState.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <includes id="ThreadWeaver_8h" name="ThreadWeaver.h" local="yes" imported="no">ThreadWeaver.h</includes>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>InConstructionState.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>InConstructionState_8h</filename>
    <includes id="StateImplementation_8h" name="StateImplementation.h" local="yes" imported="no">StateImplementation.h</includes>
    <class kind="class">ThreadWeaver::InConstructionState</class>
    <namespace>ThreadWeaver</namespace>
    <member kind="define">
      <type>#define</type>
      <name>THREADWEAVER_PRIVATE_API</name>
      <anchorfile>InConstructionState_8h.html</anchorfile>
      <anchor>a3f6e781f0c2e7ef4a37858b9af67680b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Job.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>Job_8cpp</filename>
    <includes id="Job_8h" name="Job.h" local="yes" imported="no">Job.h</includes>
    <includes id="Job__p_8h" name="Job_p.h" local="yes" imported="no">Job_p.h</includes>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="no" imported="no">DebuggingAids.h</includes>
    <includes id="Thread_8h" name="Thread.h" local="no" imported="no">Thread.h</includes>
    <includes id="QueuePolicy_8h" name="QueuePolicy.h" local="yes" imported="no">QueuePolicy.h</includes>
    <includes id="DependencyPolicy_8h" name="DependencyPolicy.h" local="yes" imported="no">DependencyPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>Job.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>Job_8h</filename>
    <includes id="threadweaver__export_8h" name="threadweaver_export.h" local="no" imported="no">threadweaver/threadweaver_export.h</includes>
    <class kind="class">ThreadWeaver::Job</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>Job_p.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>Job__p_8h</filename>
    <includes id="Job_8h" name="Job.h" local="yes" imported="no">Job.h</includes>
    <class kind="class">ThreadWeaver::JobRunHelper</class>
  </compound>
  <compound kind="file">
    <name>JobCollection.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>JobCollection_8cpp</filename>
    <includes id="JobCollection_8h" name="JobCollection.h" local="yes" imported="no">JobCollection.h</includes>
    <includes id="JobCollection__p_8h" name="JobCollection_p.h" local="yes" imported="no">JobCollection_p.h</includes>
    <includes id="WeaverInterface_8h" name="WeaverInterface.h" local="yes" imported="no">WeaverInterface.h</includes>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="yes" imported="no">DebuggingAids.h</includes>
    <includes id="DependencyPolicy_8h" name="DependencyPolicy.h" local="yes" imported="no">DependencyPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>JobCollection.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>JobCollection_8h</filename>
    <includes id="Job_8h" name="Job.h" local="yes" imported="no">Job.h</includes>
    <class kind="class">ThreadWeaver::JobCollection</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>JobCollection_p.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>JobCollection__p_8h</filename>
    <includes id="JobCollection_8h" name="JobCollection.h" local="yes" imported="no">JobCollection.h</includes>
    <includes id="WeaverInterface_8h" name="WeaverInterface.h" local="yes" imported="no">WeaverInterface.h</includes>
    <class kind="class">ThreadWeaver::JobCollectionJobRunner</class>
  </compound>
  <compound kind="file">
    <name>JobSequence.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>JobSequence_8cpp</filename>
    <includes id="JobSequence_8h" name="JobSequence.h" local="yes" imported="no">JobSequence.h</includes>
    <includes id="WeaverInterface_8h" name="WeaverInterface.h" local="yes" imported="no">WeaverInterface.h</includes>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="yes" imported="no">DebuggingAids.h</includes>
    <includes id="DependencyPolicy_8h" name="DependencyPolicy.h" local="yes" imported="no">DependencyPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>JobSequence.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>JobSequence_8h</filename>
    <includes id="JobCollection_8h" name="JobCollection.h" local="yes" imported="no">JobCollection.h</includes>
    <class kind="class">ThreadWeaver::JobSequence</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>QueuePolicy.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>QueuePolicy_8h</filename>
    <includes id="threadweaver__export_8h" name="threadweaver_export.h" local="no" imported="no">threadweaver/threadweaver_export.h</includes>
    <class kind="class">ThreadWeaver::QueuePolicy</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>ResourceRestrictionPolicy.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>ResourceRestrictionPolicy_8cpp</filename>
    <includes id="ResourceRestrictionPolicy_8h" name="ResourceRestrictionPolicy.h" local="yes" imported="no">ResourceRestrictionPolicy.h</includes>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="yes" imported="no">DebuggingAids.h</includes>
  </compound>
  <compound kind="file">
    <name>ResourceRestrictionPolicy.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>ResourceRestrictionPolicy_8h</filename>
    <includes id="QueuePolicy_8h" name="QueuePolicy.h" local="yes" imported="no">QueuePolicy.h</includes>
    <class kind="class">ThreadWeaver::ResourceRestrictionPolicy</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>ShuttingDownState.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>ShuttingDownState_8cpp</filename>
    <includes id="ShuttingDownState_8h" name="ShuttingDownState.h" local="yes" imported="no">ShuttingDownState.h</includes>
  </compound>
  <compound kind="file">
    <name>ShuttingDownState.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>ShuttingDownState_8h</filename>
    <includes id="StateImplementation_8h" name="StateImplementation.h" local="yes" imported="no">StateImplementation.h</includes>
    <class kind="class">ThreadWeaver::ShuttingDownState</class>
    <namespace>ThreadWeaver</namespace>
    <member kind="define">
      <type>#define</type>
      <name>THREADWEAVER_PRIVATE_API</name>
      <anchorfile>ShuttingDownState_8h.html</anchorfile>
      <anchor>a3f6e781f0c2e7ef4a37858b9af67680b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>State.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>State_8cpp</filename>
    <includes id="State_8h" name="State.h" local="yes" imported="no">State.h</includes>
    <member kind="variable">
      <type>const QString</type>
      <name>StateNames</name>
      <anchorfile>State_8cpp.html</anchorfile>
      <anchor>a7de26f99bdc0795a4090c80a21ecaf52</anchor>
      <arglist>[NoOfStates]</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>State.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>State_8h</filename>
    <includes id="threadweaver__export_8h" name="threadweaver_export.h" local="no" imported="no">threadweaver/threadweaver_export.h</includes>
    <class kind="class">ThreadWeaver::State</class>
    <namespace>ThreadWeaver</namespace>
    <member kind="enumeration">
      <type></type>
      <name>StateId</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>InConstruction</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964af7ddfaf6e210ee8283fb602a28cdb949</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>WorkingHard</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964a160f3894f339e8b5ad8d06423744474f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Suspending</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964abc160efeabfeec14570ffbe1e381938d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Suspended</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964ac8079f9ccf496181fa74d95d9a2f30db</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ShuttingDown</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964aabd714fac658e6d4dc680dd29ff08033</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Destructed</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964a0238276c5afc8b185e979dbfb27ed59b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoOfStates</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964a05755b989e081b9d5087f35884e68709</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>StateImplementation.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>StateImplementation_8cpp</filename>
    <includes id="StateImplementation_8h" name="StateImplementation.h" local="yes" imported="no">StateImplementation.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
  </compound>
  <compound kind="file">
    <name>StateImplementation.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>StateImplementation_8h</filename>
    <includes id="State_8h" name="State.h" local="yes" imported="no">State.h</includes>
    <class kind="class">ThreadWeaver::StateImplementation</class>
    <namespace>ThreadWeaver</namespace>
    <member kind="define">
      <type>#define</type>
      <name>THREADWEAVER_PRIVATE_API</name>
      <anchorfile>StateImplementation_8h.html</anchorfile>
      <anchor>a3f6e781f0c2e7ef4a37858b9af67680b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SuspendedState.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>SuspendedState_8cpp</filename>
    <includes id="SuspendedState_8h" name="SuspendedState.h" local="yes" imported="no">SuspendedState.h</includes>
    <includes id="ThreadWeaver_8h" name="ThreadWeaver.h" local="yes" imported="no">ThreadWeaver.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
  </compound>
  <compound kind="file">
    <name>SuspendedState.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>SuspendedState_8h</filename>
    <includes id="StateImplementation_8h" name="StateImplementation.h" local="yes" imported="no">StateImplementation.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <class kind="class">ThreadWeaver::SuspendedState</class>
    <namespace>ThreadWeaver</namespace>
    <member kind="define">
      <type>#define</type>
      <name>THREADWEAVER_PRIVATE_API</name>
      <anchorfile>SuspendedState_8h.html</anchorfile>
      <anchor>a3f6e781f0c2e7ef4a37858b9af67680b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SuspendingState.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>SuspendingState_8cpp</filename>
    <includes id="SuspendingState_8h" name="SuspendingState.h" local="yes" imported="no">SuspendingState.h</includes>
    <includes id="State_8h" name="State.h" local="yes" imported="no">State.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <includes id="ThreadWeaver_8h" name="ThreadWeaver.h" local="yes" imported="no">ThreadWeaver.h</includes>
  </compound>
  <compound kind="file">
    <name>SuspendingState.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>SuspendingState_8h</filename>
    <includes id="StateImplementation_8h" name="StateImplementation.h" local="yes" imported="no">StateImplementation.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <class kind="class">ThreadWeaver::SuspendingState</class>
    <namespace>ThreadWeaver</namespace>
    <member kind="define">
      <type>#define</type>
      <name>THREADWEAVER_PRIVATE_API</name>
      <anchorfile>SuspendingState_8h.html</anchorfile>
      <anchor>a3f6e781f0c2e7ef4a37858b9af67680b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Thread.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>Thread_8cpp</filename>
    <includes id="Thread_8h" name="Thread.h" local="yes" imported="no">Thread.h</includes>
    <includes id="ThreadWeaver_8h" name="ThreadWeaver.h" local="yes" imported="no">ThreadWeaver.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <includes id="Job_8h" name="Job.h" local="yes" imported="no">Job.h</includes>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="yes" imported="no">DebuggingAids.h</includes>
  </compound>
  <compound kind="file">
    <name>Thread.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>Thread_8h</filename>
    <includes id="threadweaver__export_8h" name="threadweaver_export.h" local="no" imported="no">threadweaver/threadweaver_export.h</includes>
    <class kind="class">ThreadWeaver::Thread</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>ThreadWeaver.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>ThreadWeaver_8cpp</filename>
    <includes id="ThreadWeaver_8h" name="ThreadWeaver.h" local="yes" imported="no">ThreadWeaver.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <includes id="WeaverObserver_8h" name="WeaverObserver.h" local="yes" imported="no">WeaverObserver.h</includes>
  </compound>
  <compound kind="file">
    <name>ThreadWeaver.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>ThreadWeaver_8h</filename>
    <includes id="WeaverInterface_8h" name="WeaverInterface.h" local="yes" imported="no">WeaverInterface.h</includes>
    <class kind="class">ThreadWeaver::Weaver</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>threadweaver_export.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/</path>
    <filename>threadweaver__export_8h</filename>
  </compound>
  <compound kind="file">
    <name>WeaverImpl.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>WeaverImpl_8cpp</filename>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <includes id="Job_8h" name="Job.h" local="yes" imported="no">Job.h</includes>
    <includes id="State_8h" name="State.h" local="yes" imported="no">State.h</includes>
    <includes id="Thread_8h" name="Thread.h" local="yes" imported="no">Thread.h</includes>
    <includes id="ThreadWeaver_8h" name="ThreadWeaver.h" local="yes" imported="no">ThreadWeaver.h</includes>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="yes" imported="no">DebuggingAids.h</includes>
    <includes id="WeaverObserver_8h" name="WeaverObserver.h" local="yes" imported="no">WeaverObserver.h</includes>
    <includes id="SuspendedState_8h" name="SuspendedState.h" local="yes" imported="no">SuspendedState.h</includes>
    <includes id="SuspendingState_8h" name="SuspendingState.h" local="yes" imported="no">SuspendingState.h</includes>
    <includes id="DestructedState_8h" name="DestructedState.h" local="yes" imported="no">DestructedState.h</includes>
    <includes id="WorkingHardState_8h" name="WorkingHardState.h" local="yes" imported="no">WorkingHardState.h</includes>
    <includes id="ShuttingDownState_8h" name="ShuttingDownState.h" local="yes" imported="no">ShuttingDownState.h</includes>
    <includes id="InConstructionState_8h" name="InConstructionState.h" local="yes" imported="no">InConstructionState.h</includes>
  </compound>
  <compound kind="file">
    <name>WeaverImpl.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>WeaverImpl_8h</filename>
    <includes id="State_8h" name="State.h" local="yes" imported="no">State.h</includes>
    <includes id="WeaverInterface_8h" name="WeaverInterface.h" local="yes" imported="no">WeaverInterface.h</includes>
    <class kind="class">ThreadWeaver::WeaverImpl</class>
    <namespace>ThreadWeaver</namespace>
    <member kind="define">
      <type>#define</type>
      <name>THREADWEAVER_PRIVATE_API</name>
      <anchorfile>WeaverImpl_8h.html</anchorfile>
      <anchor>a3f6e781f0c2e7ef4a37858b9af67680b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>WeaverInterface.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>WeaverInterface_8cpp</filename>
    <includes id="WeaverInterface_8h" name="WeaverInterface.h" local="yes" imported="no">WeaverInterface.h</includes>
  </compound>
  <compound kind="file">
    <name>WeaverInterface.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>WeaverInterface_8h</filename>
    <includes id="threadweaver__export_8h" name="threadweaver_export.h" local="no" imported="no">threadweaver/threadweaver_export.h</includes>
    <class kind="class">ThreadWeaver::WeaverInterface</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>WeaverObserver.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>WeaverObserver_8cpp</filename>
    <includes id="WeaverObserver_8h" name="WeaverObserver.h" local="yes" imported="no">WeaverObserver.h</includes>
  </compound>
  <compound kind="file">
    <name>WeaverObserver.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>WeaverObserver_8h</filename>
    <includes id="threadweaver__export_8h" name="threadweaver_export.h" local="no" imported="no">threadweaver/threadweaver_export.h</includes>
    <class kind="class">ThreadWeaver::WeaverObserver</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="file">
    <name>WorkingHardState.cpp</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>WorkingHardState_8cpp</filename>
    <includes id="WorkingHardState_8h" name="WorkingHardState.h" local="yes" imported="no">WorkingHardState.h</includes>
    <includes id="Job_8h" name="Job.h" local="yes" imported="no">Job.h</includes>
    <includes id="Thread_8h" name="Thread.h" local="yes" imported="no">Thread.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <includes id="ThreadWeaver_8h" name="ThreadWeaver.h" local="yes" imported="no">ThreadWeaver.h</includes>
    <includes id="DebuggingAids_8h" name="DebuggingAids.h" local="yes" imported="no">DebuggingAids.h</includes>
  </compound>
  <compound kind="file">
    <name>WorkingHardState.h</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>WorkingHardState_8h</filename>
    <includes id="StateImplementation_8h" name="StateImplementation.h" local="yes" imported="no">StateImplementation.h</includes>
    <includes id="WeaverImpl_8h" name="WeaverImpl.h" local="yes" imported="no">WeaverImpl.h</includes>
    <class kind="class">ThreadWeaver::WorkingHardState</class>
    <namespace>ThreadWeaver</namespace>
  </compound>
  <compound kind="page">
    <name>UseCases</name>
    <title>Use Cases</title>
    <filename>UseCases</filename>
  </compound>
  <compound kind="page">
    <name>Why</name>
    <title>Why Multithreading?</title>
    <filename>Why</filename>
  </compound>
  <compound kind="page">
    <name>MainComponents</name>
    <title>Main Components of ThreadWeaver</title>
    <filename>MainComponents</filename>
    <docanchor file="MainComponents" title="Execution">Job</docanchor>
    <docanchor file="MainComponents" title="Signals from Jobs">Emitting</docanchor>
  </compound>
  <compound kind="class">
    <name>QList</name>
    <filename>classQList.html</filename>
    <templarg></templarg>
  </compound>
  <compound kind="class">
    <name>QObject</name>
    <filename>classQObject.html</filename>
  </compound>
  <compound kind="class">
    <name>QThread</name>
    <filename>classQThread.html</filename>
  </compound>
  <compound kind="namespace">
    <name>ThreadWeaver</name>
    <filename>namespaceThreadWeaver.html</filename>
    <class kind="class">ThreadWeaver::DependencyPolicy</class>
    <class kind="class">ThreadWeaver::DestructedState</class>
    <class kind="class">ThreadWeaver::InConstructionState</class>
    <class kind="class">ThreadWeaver::Job</class>
    <class kind="class">ThreadWeaver::JobCollection</class>
    <class kind="class">ThreadWeaver::JobCollectionJobRunner</class>
    <class kind="class">ThreadWeaver::JobRunHelper</class>
    <class kind="class">ThreadWeaver::JobSequence</class>
    <class kind="class">ThreadWeaver::QueuePolicy</class>
    <class kind="class">ThreadWeaver::ResourceRestrictionPolicy</class>
    <class kind="class">ThreadWeaver::ShuttingDownState</class>
    <class kind="class">ThreadWeaver::State</class>
    <class kind="class">ThreadWeaver::StateImplementation</class>
    <class kind="class">ThreadWeaver::SuspendedState</class>
    <class kind="class">ThreadWeaver::SuspendingState</class>
    <class kind="class">ThreadWeaver::Thread</class>
    <class kind="class">ThreadWeaver::Weaver</class>
    <class kind="class">ThreadWeaver::WeaverImpl</class>
    <class kind="class">ThreadWeaver::WeaverInterface</class>
    <class kind="class">ThreadWeaver::WeaverObserver</class>
    <class kind="class">ThreadWeaver::WorkingHardState</class>
    <member kind="enumeration">
      <type></type>
      <name>StateId</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>InConstruction</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964af7ddfaf6e210ee8283fb602a28cdb949</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>WorkingHard</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964a160f3894f339e8b5ad8d06423744474f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Suspending</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964abc160efeabfeec14570ffbe1e381938d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Suspended</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964ac8079f9ccf496181fa74d95d9a2f30db</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ShuttingDown</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964aabd714fac658e6d4dc680dd29ff08033</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Destructed</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964a0238276c5afc8b185e979dbfb27ed59b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoOfStates</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a187c0ce48a4eda314fc23a74cb867964a05755b989e081b9d5087f35884e68709</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>debug</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a876d6f483d88c2a1371fb3fbd731cdba</anchor>
      <arglist>(int severity, const char *cformat,...)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>debug</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a6581236da83b1c1acb82e1425af9e8fb</anchor>
      <arglist>(bool condition, int severity, const char *cformat,...)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invariant</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a9aa115a14f8a86c1ac652736cb69e1c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDebugLevel</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a1173d2f3a27b230af0f48f7024bc0a2a</anchor>
      <arglist>(bool debug, int level)</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>Debug</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>afb4fd50e3517195faa11368e8ddea729</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>DebugLevel</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>a4cbaef6dfda430ba712d18df21930ef2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QMutex</type>
      <name>GlobalMutex</name>
      <anchorfile>namespaceThreadWeaver.html</anchorfile>
      <anchor>ab8c94288f8c3639fe381f34a511475f9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::DependencyPolicy</name>
    <filename>classThreadWeaver_1_1DependencyPolicy.html</filename>
    <base>ThreadWeaver::QueuePolicy</base>
    <member kind="function">
      <type></type>
      <name>~DependencyPolicy</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>a7943e0e1bfdae8da178c0d889cbf2765</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addDependency</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>a53c29d3e66be26dd36114d15fc068d2c</anchor>
      <arglist>(Job *jobA, Job *jobB)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canRun</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>a8661fe970b1e79dc9dbbad5d83518904</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destructed</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>ad7e04f022abdb727c8e30d97b389e70b</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dumpJobDependencies</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>af7728691a8935b3f3dcb550f6966340a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>free</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>a50a3fd61b4b2449a2d162719d4a65b62</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Job * &gt;</type>
      <name>getDependencies</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>aa50a7895aca4af395bc08adae3027f98</anchor>
      <arglist>(Job *) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>release</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>afbcd5d3a696d6a4763f976b03792c4f8</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeDependency</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>a0cb38d37a4190d648974217f443a49d2</anchor>
      <arglist>(Job *jobA, Job *jobB)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolveDependencies</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>a690343601aaa046c4cf5598df395c9e8</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~QueuePolicy</name>
      <anchorfile>classThreadWeaver_1_1QueuePolicy.html</anchorfile>
      <anchor>a0ebdc6e831adf5fb74e0b43d4ee1b36d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DependencyPolicy &amp;</type>
      <name>instance</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>abbb4b98f18709384e29bf3a088b2ac95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DependencyPolicy</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>affb3e8d0183e5868bc459fde6893129d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>hasUnresolvedDependencies</name>
      <anchorfile>classThreadWeaver_1_1DependencyPolicy.html</anchorfile>
      <anchor>a047a3dcef8a9a6a29176e3e983a2a35e</anchor>
      <arglist>(Job *) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::DestructedState</name>
    <filename>classThreadWeaver_1_1DestructedState.html</filename>
    <base>ThreadWeaver::StateImplementation</base>
    <member kind="function">
      <type></type>
      <name>DestructedState</name>
      <anchorfile>classThreadWeaver_1_1DestructedState.html</anchorfile>
      <anchor>aa33cc7a7e0a11100f0c364a5783dbc84</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classThreadWeaver_1_1DestructedState.html</anchorfile>
      <anchor>aa7107f150fa917521bfdb5082323f31a</anchor>
      <arglist>(Thread *th, Job *previous)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1DestructedState.html</anchorfile>
      <anchor>a3ed2da1f96ae5d28a46e0891508da008</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StateId</type>
      <name>stateId</name>
      <anchorfile>classThreadWeaver_1_1DestructedState.html</anchorfile>
      <anchor>acd0c79a6433bcf03bebebdc792449b26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1DestructedState.html</anchorfile>
      <anchor>a4f79afe316b3f524f00616abdb81fdec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>waitForAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1DestructedState.html</anchorfile>
      <anchor>a9ef618643a0035de8caac21ee91038de</anchor>
      <arglist>(Thread *th)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>StateImplementation</name>
      <anchorfile>classThreadWeaver_1_1StateImplementation.html</anchorfile>
      <anchor>a8343cbf827633f0829d7cfa99313f07b</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>State</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>a63f1856356648cab81abb1fdce57f0d3</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~State</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>afab438d92b90dc18d194dbd9c9c8bab3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>activated</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>a51019a8342ace26f647eb08e06417f36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>stateName</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>a559d23cc67b90bda3d2345f02652bf72</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>WeaverImpl *</type>
      <name>weaver</name>
      <anchorfile>classThreadWeaver_1_1StateImplementation.html</anchorfile>
      <anchor>a852fc332d71d7b80fca09de4a34ce395</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>WeaverInterface *</type>
      <name>weaver</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>a1ff826b43d154c36e5d9dfb470fc3059</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Private *const</type>
      <name>d</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>a7dfc672fb69c530b702405e1eaca6c66</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::InConstructionState</name>
    <filename>classThreadWeaver_1_1InConstructionState.html</filename>
    <base>ThreadWeaver::StateImplementation</base>
    <member kind="function">
      <type></type>
      <name>InConstructionState</name>
      <anchorfile>classThreadWeaver_1_1InConstructionState.html</anchorfile>
      <anchor>adc0e2c0b1966d6760d6c12c44e3f47b1</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classThreadWeaver_1_1InConstructionState.html</anchorfile>
      <anchor>afda9926fa1fa25f4f2353ba1adac76d4</anchor>
      <arglist>(Thread *th, Job *previous)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1InConstructionState.html</anchorfile>
      <anchor>a43794deca94d6c906826e4a6f1e4379a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StateId</type>
      <name>stateId</name>
      <anchorfile>classThreadWeaver_1_1InConstructionState.html</anchorfile>
      <anchor>a286115322d5ca7d4339d7d437fbf3169</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1InConstructionState.html</anchorfile>
      <anchor>a0ecf88540f7598cbf918869f60c84abe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>waitForAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1InConstructionState.html</anchorfile>
      <anchor>af2108dca9d27468016e8677d37c3ffda</anchor>
      <arglist>(Thread *th)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::Job</name>
    <filename>classThreadWeaver_1_1Job.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a12ca888c9b1be72400e285362dc4a655</anchor>
      <arglist>(ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>failed</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a617076d690f7fded65ba675ce160d661</anchor>
      <arglist>(ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>aab9aa795c2284607b904c15e0ab84c35</anchor>
      <arglist>(ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Job</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>aae4c1ad15c1b09457a86ba791f2008a5</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Job</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a234622c2e1fdae9d01450502ab53ed26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>aboutToBeDequeued</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>ae12d206c64a7ed87bec0d54b88a6fa39</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>aboutToBeQueued</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a504ae953f4f8efe9ca3c87952cf28ca2</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>assignQueuePolicy</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a997083d1aacae7e29ad1a424c8ee77a9</anchor>
      <arglist>(QueuePolicy *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canBeExecuted</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a9be79ea5843a6cc1ccd6c1d482f41a1e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>execute</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a51ce3ee50f6daf590b95d3e75529f462</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFinished</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>aab38fe43342970e283dfc93cb10c15ef</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>priority</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a9e203a62b5f8b99ad4c540165b8ffb13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeQueuePolicy</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a39c1eb6491150e7c9c7ae21a30d2ba47</anchor>
      <arglist>(QueuePolicy *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>requestAbort</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a4ebf1816dbad26d48db455b23eca1725</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>success</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a5a530cb8b7b2f1637288967b027e6561</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>freeQueuePolicyResources</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a74051c59f38d2f75df1bff8e6aa10f34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>run</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a615ac10c6da9c2c1b86add6dd84365f0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFinished</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>abbf15b16ab0ffd90cf6c3af99d23a690</anchor>
      <arglist>(bool status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Thread *</type>
      <name>thread</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>ab66961c2a03169a596017b763381618d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Private *</type>
      <name>d</name>
      <anchorfile>classThreadWeaver_1_1Job.html</anchorfile>
      <anchor>aa03f611bbd31c90e5ddb808fe068feb9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::JobCollection</name>
    <filename>classThreadWeaver_1_1JobCollection.html</filename>
    <base>ThreadWeaver::Job</base>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>a1f2c453ddc3c6d538eeb3c9b5b02d5e9</anchor>
      <arglist>(ThreadWeaver::Job *job)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>JobCollection</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>af87cb224ccee18f98d499eaaa3cc5c57</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~JobCollection</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>a728e4916494a2b0772bdda88ccc0a44b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addJob</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>a7f057e813c32a0f9a96f6554a55ee8d7</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canBeExecuted</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>afac6e1968c43ed05b72c47677916e6a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>aboutToBeDequeued</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>ab67dff689f44e193a0327f7cf1cef7c7</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>aboutToBeQueued</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>a884ca02ae421a3fd53d449a20494ae79</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finalCleanup</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>ad146c76f8d66611cb9e333f9e0b5d0c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>internalJobDone</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>a5025ec45806433ca0b318c11afb07357</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Job *</type>
      <name>jobAt</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>a38548f25ba68ac86eedb7c504556e151</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const int</type>
      <name>jobListLength</name>
      <anchorfile>classThreadWeaver_1_1JobCollection.html</anchorfile>
      <anchor>a3abac5e0e06e01ce8ad5ca2a67f65e89</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::JobCollectionJobRunner</name>
    <filename>classThreadWeaver_1_1JobCollectionJobRunner.html</filename>
    <base>ThreadWeaver::Job</base>
    <member kind="function">
      <type></type>
      <name>JobCollectionJobRunner</name>
      <anchorfile>classThreadWeaver_1_1JobCollectionJobRunner.html</anchorfile>
      <anchor>add371de6f6fb72a06d8d9d1fd25a700a</anchor>
      <arglist>(JobCollection *collection, Job *payload, QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>aboutToBeDequeued</name>
      <anchorfile>classThreadWeaver_1_1JobCollectionJobRunner.html</anchorfile>
      <anchor>a3e03c0205460c48053db210b27bad29b</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>aboutToBeQueued</name>
      <anchorfile>classThreadWeaver_1_1JobCollectionJobRunner.html</anchorfile>
      <anchor>ae4dab14b0e4add63fcf3b93e53356cd5</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canBeExecuted</name>
      <anchorfile>classThreadWeaver_1_1JobCollectionJobRunner.html</anchorfile>
      <anchor>a3389c9647811e54709c2991f8f75ab26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>execute</name>
      <anchorfile>classThreadWeaver_1_1JobCollectionJobRunner.html</anchorfile>
      <anchor>ab97215b0bc749f105aa625580dc12c9c</anchor>
      <arglist>(Thread *t)</arglist>
    </member>
    <member kind="function">
      <type>Job *</type>
      <name>payload</name>
      <anchorfile>classThreadWeaver_1_1JobCollectionJobRunner.html</anchorfile>
      <anchor>aa03ade28dcd622d4f9f32af6b9888fa3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>priority</name>
      <anchorfile>classThreadWeaver_1_1JobCollectionJobRunner.html</anchorfile>
      <anchor>aa03fa0a62e2487532c158e36b3a6e4b0</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::JobRunHelper</name>
    <filename>classThreadWeaver_1_1JobRunHelper.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classThreadWeaver_1_1JobRunHelper.html</anchorfile>
      <anchor>a28a06659d86ae2f7093d9081aab0a459</anchor>
      <arglist>(ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>failed</name>
      <anchorfile>classThreadWeaver_1_1JobRunHelper.html</anchorfile>
      <anchor>a447b4608780876c10f69f443d3448a8f</anchor>
      <arglist>(ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classThreadWeaver_1_1JobRunHelper.html</anchorfile>
      <anchor>acea8c57c501631808ccb82f1a8d6fcd5</anchor>
      <arglist>(ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>JobRunHelper</name>
      <anchorfile>classThreadWeaver_1_1JobRunHelper.html</anchorfile>
      <anchor>a87b264e9e53b75661ffbda37deb4779f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>runTheJob</name>
      <anchorfile>classThreadWeaver_1_1JobRunHelper.html</anchorfile>
      <anchor>a768c7bced0df9c2d3255cc69821a4827</anchor>
      <arglist>(Thread *th, Job *job)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::JobSequence</name>
    <filename>classThreadWeaver_1_1JobSequence.html</filename>
    <base>ThreadWeaver::JobCollection</base>
    <member kind="function">
      <type></type>
      <name>JobSequence</name>
      <anchorfile>classThreadWeaver_1_1JobSequence.html</anchorfile>
      <anchor>a59a1815e57c6d0eb805005653aafdc78</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>aboutToBeQueued</name>
      <anchorfile>classThreadWeaver_1_1JobSequence.html</anchorfile>
      <anchor>ab4863e96f33caa38f0f8abb81c7bea1e</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>internalJobDone</name>
      <anchorfile>classThreadWeaver_1_1JobSequence.html</anchorfile>
      <anchor>a913da52d9d85aa3b3438145b037a3daa</anchor>
      <arglist>(Job *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::QueuePolicy</name>
    <filename>classThreadWeaver_1_1QueuePolicy.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>canRun</name>
      <anchorfile>classThreadWeaver_1_1QueuePolicy.html</anchorfile>
      <anchor>a43ef81eb4e4ca531ece130799a19472a</anchor>
      <arglist>(Job *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>destructed</name>
      <anchorfile>classThreadWeaver_1_1QueuePolicy.html</anchorfile>
      <anchor>a25ce01d34c8d941fd0516b31e42b88e7</anchor>
      <arglist>(Job *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>free</name>
      <anchorfile>classThreadWeaver_1_1QueuePolicy.html</anchorfile>
      <anchor>aa7d7d16bf7eebc5b964fa74c0edcc545</anchor>
      <arglist>(Job *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>release</name>
      <anchorfile>classThreadWeaver_1_1QueuePolicy.html</anchorfile>
      <anchor>af379732db290f2acd0a7574cf6872ce5</anchor>
      <arglist>(Job *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::ResourceRestrictionPolicy</name>
    <filename>classThreadWeaver_1_1ResourceRestrictionPolicy.html</filename>
    <base>ThreadWeaver::QueuePolicy</base>
    <member kind="function">
      <type></type>
      <name>ResourceRestrictionPolicy</name>
      <anchorfile>classThreadWeaver_1_1ResourceRestrictionPolicy.html</anchorfile>
      <anchor>aa0e96a4e11f83036f85daf75ed945d46</anchor>
      <arglist>(int cap=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ResourceRestrictionPolicy</name>
      <anchorfile>classThreadWeaver_1_1ResourceRestrictionPolicy.html</anchorfile>
      <anchor>a35dd18a5e064cac3c2612627303015c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canRun</name>
      <anchorfile>classThreadWeaver_1_1ResourceRestrictionPolicy.html</anchorfile>
      <anchor>a8e070b4f8794f8f63af2c806aa7e6fb7</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cap</name>
      <anchorfile>classThreadWeaver_1_1ResourceRestrictionPolicy.html</anchorfile>
      <anchor>aadd956e90328bd8dfac3d208ef266c16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destructed</name>
      <anchorfile>classThreadWeaver_1_1ResourceRestrictionPolicy.html</anchorfile>
      <anchor>a350ce35e9e0cb4401d2428ee4598ec5e</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>free</name>
      <anchorfile>classThreadWeaver_1_1ResourceRestrictionPolicy.html</anchorfile>
      <anchor>adb900136992b985e4a210a7ae6c292f5</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>release</name>
      <anchorfile>classThreadWeaver_1_1ResourceRestrictionPolicy.html</anchorfile>
      <anchor>ac83836043275239248176f254e354363</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCap</name>
      <anchorfile>classThreadWeaver_1_1ResourceRestrictionPolicy.html</anchorfile>
      <anchor>ac37828bdd6e164ed89c3c17fd72f3004</anchor>
      <arglist>(int newCap)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::ShuttingDownState</name>
    <filename>classThreadWeaver_1_1ShuttingDownState.html</filename>
    <base>ThreadWeaver::StateImplementation</base>
    <member kind="function">
      <type></type>
      <name>ShuttingDownState</name>
      <anchorfile>classThreadWeaver_1_1ShuttingDownState.html</anchorfile>
      <anchor>a2493417bec2b8febe2d19c9f0631ffd3</anchor>
      <arglist>(WeaverInterface *weaver)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classThreadWeaver_1_1ShuttingDownState.html</anchorfile>
      <anchor>a4196a5ed1d7b15071f9fd5d5e0a3a9d4</anchor>
      <arglist>(Thread *th, Job *previous)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1ShuttingDownState.html</anchorfile>
      <anchor>a011775ce492dad7b8e738d1441130ae7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StateId</type>
      <name>stateId</name>
      <anchorfile>classThreadWeaver_1_1ShuttingDownState.html</anchorfile>
      <anchor>a30cc704776b2ac4605ee343b87280960</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1ShuttingDownState.html</anchorfile>
      <anchor>af187b9fb3abc4fa9bb8af6a475363cba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>waitForAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1ShuttingDownState.html</anchorfile>
      <anchor>ad5d5f14902f34624a432a3d739fa6571</anchor>
      <arglist>(Thread *th)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::State</name>
    <filename>classThreadWeaver_1_1State.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>a262a6ead80fa64ffd985449fe809afb6</anchor>
      <arglist>(Thread *th, Job *previous)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>abc5024874029c6f03f8eeb82c6570a26</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual StateId</type>
      <name>stateId</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>acecc39d949a0cb27827b8300c6b6f2cf</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>ae23d8892e717e38ced7d91b551b4c963</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>waitForAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1State.html</anchorfile>
      <anchor>ad64ee669f23a1cf1f6e0f68233266e12</anchor>
      <arglist>(Thread *th)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::StateImplementation</name>
    <filename>classThreadWeaver_1_1StateImplementation.html</filename>
    <base>ThreadWeaver::State</base>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::SuspendedState</name>
    <filename>classThreadWeaver_1_1SuspendedState.html</filename>
    <base>ThreadWeaver::StateImplementation</base>
    <member kind="function">
      <type></type>
      <name>SuspendedState</name>
      <anchorfile>classThreadWeaver_1_1SuspendedState.html</anchorfile>
      <anchor>a550a4fa5922cd11588f732d6a6507dcd</anchor>
      <arglist>(WeaverImpl *weaver)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classThreadWeaver_1_1SuspendedState.html</anchorfile>
      <anchor>acfbbb6e62814be841cd4fe00b5bfa259</anchor>
      <arglist>(Thread *th, Job *previous)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1SuspendedState.html</anchorfile>
      <anchor>a89014e7529fba5526e20661a5d917600</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StateId</type>
      <name>stateId</name>
      <anchorfile>classThreadWeaver_1_1SuspendedState.html</anchorfile>
      <anchor>aa31848673a2a0cf1e00945f2dd00ab7a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1SuspendedState.html</anchorfile>
      <anchor>aaf0893297a25cb79142c7b9c7b190da6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>waitForAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1SuspendedState.html</anchorfile>
      <anchor>a6b68904576f1d2020102d00b6a3aa28e</anchor>
      <arglist>(Thread *th)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::SuspendingState</name>
    <filename>classThreadWeaver_1_1SuspendingState.html</filename>
    <base>ThreadWeaver::StateImplementation</base>
    <member kind="function">
      <type></type>
      <name>SuspendingState</name>
      <anchorfile>classThreadWeaver_1_1SuspendingState.html</anchorfile>
      <anchor>ae862b5cad296182cd9dd98645340d7f5</anchor>
      <arglist>(WeaverImpl *weaver)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activated</name>
      <anchorfile>classThreadWeaver_1_1SuspendingState.html</anchorfile>
      <anchor>a8b48a0ed1f6f0bd085919e916ed928b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classThreadWeaver_1_1SuspendingState.html</anchorfile>
      <anchor>aced7beedf8197ddd4fa5f97d1e5ba426</anchor>
      <arglist>(Thread *th, Job *previous)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1SuspendingState.html</anchorfile>
      <anchor>ad0ecfbd377b0bfd4496f492c22e78f37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StateId</type>
      <name>stateId</name>
      <anchorfile>classThreadWeaver_1_1SuspendingState.html</anchorfile>
      <anchor>adf5546260c9663478e02ddd81c5a5e2c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1SuspendingState.html</anchorfile>
      <anchor>a621f3a6a5b9ffab354a4e3118d3f6de1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>waitForAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1SuspendingState.html</anchorfile>
      <anchor>a1045c05e8a820f9a382eae4fb58b5263</anchor>
      <arglist>(Thread *th)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::Thread</name>
    <filename>classThreadWeaver_1_1Thread.html</filename>
    <base>QThread</base>
    <member kind="signal">
      <type>void</type>
      <name>jobDone</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>aed8e007fd503da30d99ba2e15272bb9a</anchor>
      <arglist>(ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>jobStarted</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>ad2fd62e5c8f570a988072ebca3279e26</anchor>
      <arglist>(ThreadWeaver::Thread *, ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a6fbaeb321332604dab2ea070958a8afd</anchor>
      <arglist>(ThreadWeaver::Thread *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Thread</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a719fa29944ac4c9925997a1c3dd303d9</anchor>
      <arglist>(WeaverImpl *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Thread</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a37d9edd3a1a776cbc27dedff949c9726</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>id</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a57a820558ad63a83610881312bfe4411</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>msleep</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a3a8c15a84d2971da168731774fe89633</anchor>
      <arglist>(unsigned long msec)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestAbort</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a459b6c92a1d3818f6e1626d65076c4f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchorfile>classThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>ad9373d8d725c46717dfce3130018fe3a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::Weaver</name>
    <filename>classThreadWeaver_1_1Weaver.html</filename>
    <base>ThreadWeaver::WeaverInterface</base>
    <member kind="function">
      <type></type>
      <name>Weaver</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ad1df5a9d5f70ceac196607bd3e7094c5</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Weaver</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>afb089c9095c2cfcb30eeec5d4046c227</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a5f163039fbd1b5ff8e39b2fec88bec88</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>dequeue</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>aa13f309b82070941c1e39d6fd29b83c1</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dequeue</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a0f179319cc3215508e33b6f1d31434fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>enqueue</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a2ff15958d906d68069196e9191a41a29</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>finish</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a776cd90927f8089c731f1ee067709c27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>accac039adc67811165a563210f1637e9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdle</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>aad05996a52a12aadb789f3b278c15ce3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maximumNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a38032c5eeff096661dcc8ed6f1984c60</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>queueLength</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a5f01c40762fe4759aa837c3f6a7d3b05</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerObserver</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a250ab78058f2be7be937aaf6c9fe9023</anchor>
      <arglist>(WeaverObserver *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestAbort</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a1ba236741e6afe3bdca96f43b4508dee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>afc527acce88506cd9073f90ecbc9fa99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaximumNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a361db4cc9a9adf48f5fb5c8ee0c72033</anchor>
      <arglist>(int cap)</arglist>
    </member>
    <member kind="function">
      <type>const State &amp;</type>
      <name>state</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>ae9e02da0351398ab838caae66c26878d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>af7fb1e7c2a73dee386c9216999207c21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WeaverInterface</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>acb1d9c2433abd99204ca49b5e659b201</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~WeaverInterface</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a84e0b17baa6689febfac3dd0a5647995</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ThreadWeaver::Weaver *</type>
      <name>instance</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a17900c3dac22f22282453c5a745a7332</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual WeaverInterface *</type>
      <name>makeWeaverImpl</name>
      <anchorfile>classThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a0aa2aa4457357f47ff749ba16aeb6f3d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a9ec2bf28e9ad8edb3ce22f48dc8d4e5b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>jobDone</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>aa6d058cc6461c80fc37b5d2b55cccf8a</anchor>
      <arglist>(ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stateChanged</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>ac7f802ef2c37407b2f3c3d6cd5740706</anchor>
      <arglist>(ThreadWeaver::State *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>suspended</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>ae23698db7e12a07f50ea36cb5500025b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::WeaverImpl</name>
    <filename>classThreadWeaver_1_1WeaverImpl.html</filename>
    <base>ThreadWeaver::WeaverInterface</base>
    <member kind="signal">
      <type>void</type>
      <name>asyncThreadSuspended</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a73a9ad914b9acef83c8e1d6847ad53cb</anchor>
      <arglist>(ThreadWeaver::Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadBusy</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a9e1c45363d1e56fbe92eb266ef7577d5</anchor>
      <arglist>(ThreadWeaver::Thread *, ThreadWeaver::Job *j)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadExited</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a7f045857dc6e8289ef7cf3efe1816927</anchor>
      <arglist>(ThreadWeaver::Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadStarted</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a0c62418d3bdfaf9964472a55520ebf57</anchor>
      <arglist>(ThreadWeaver::Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadSuspended</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>ad65fc712300e0be938778d84ea5d555d</anchor>
      <arglist>(ThreadWeaver::Thread *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WeaverImpl</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>aae815afce60dc20a005b3ef8010b7c10</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~WeaverImpl</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a4b1c00fa0f023a6b147382a09ca46a03</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>activeThreadCount</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>aba2acef8bf34443ddee8100ba220830e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a7664b209d80489e86fb16364fe4ca350</anchor>
      <arglist>(Thread *thread, Job *previous)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>assignJobs</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>aeea3d33d3109025f08a04801681a9dbb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>blockThreadUntilJobsAreBeingAssigned</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a04cc187b9b70d11a961be6d6d12c4440</anchor>
      <arglist>(Thread *th)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a3154448a2b3d91c091a7290221fa83f4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>decActiveThreadCount</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>ad341d83e59d58ed8f0279b59487d38de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>dequeue</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>ad670d84d0cadc5a262c265516c5f681f</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dequeue</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>af083846d76e0c646c080e90160d6278d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dumpJobs</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a0acdca53aad08812c2633ac7477067a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>enqueue</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>ad0a6f3a5ae6552277fe71d092f1f481d</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>finish</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a2978c710e466e7300c4b92c9a87f91e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>incActiveThreadCount</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a6f51be7f9b9cc2ccfb4edbb5c8b97782</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a8db78ae7c4d64c3be545f92645b47803</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdle</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a9b5b0dc61f27537fdee99cf70190f79f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maximumNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a10c40dee34498f7919f119b1b74616d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>queueLength</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>af972c32e5907876d1f3d9405dc29cff7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerObserver</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a339f8fd248d10acfe8bcadce1839bfd6</anchor>
      <arglist>(WeaverObserver *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestAbort</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>ac9b720154598fc8cd883a84b40292e4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a1239d938bfce10f1ca882ad359dc78b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaximumNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a083f0e7eb1d9290cdfec4919e5230535</anchor>
      <arglist>(int cap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a729ad86d9da52b2e1251fbf819148c1c</anchor>
      <arglist>(StateId)</arglist>
    </member>
    <member kind="function">
      <type>const State &amp;</type>
      <name>state</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>aaeffad3c47f865ee3578bff74c794a2c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>adc3843439620b46580938c4fef88388a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Job *</type>
      <name>takeFirstAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a5ac32ea0c0d8923812ea5f8f6f9a1c23</anchor>
      <arglist>(Job *previous)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>waitForAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a37cfb7963c7b6bd5ce3c173bfbf70476</anchor>
      <arglist>(Thread *th)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>adjustActiveThreadCount</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a8cd7132b2308bfccdb5d3c80900e4ea6</anchor>
      <arglist>(int diff)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>adjustInventory</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>abd5c3d20677af1692a9666da570973d8</anchor>
      <arglist>(int noOfNewJobs)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual Thread *</type>
      <name>createThread</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>ae013edbfa45ed89d5921fd898a5a1192</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_active</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>aa4381b2c959aba2fac70db4b0b5feb6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; Job * &gt;</type>
      <name>m_assignments</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a7f7cf3050ef5989e88468312a85139ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; Thread * &gt;</type>
      <name>m_inventory</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a16645db107011b6d92116e12490171bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_inventoryMax</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a48f88147ed1461330c32058a5cb5e647</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWaitCondition</type>
      <name>m_jobAvailable</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>af49f9d2a555820c1abe5c7a2a7a11228</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWaitCondition</type>
      <name>m_jobFinished</name>
      <anchorfile>classThreadWeaver_1_1WeaverImpl.html</anchorfile>
      <anchor>a29300b2f6e8b2b804b69bf198d793dfd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::WeaverInterface</name>
    <filename>classThreadWeaver_1_1WeaverInterface.html</filename>
    <base>QObject</base>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>currentNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a5d571b9b0daa484a041ed246762c4867</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>dequeue</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a1505693a08975bdad501a20dd7100a74</anchor>
      <arglist>(Job *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>dequeue</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a3ae9b37f7c804ac8e16c7af4a2be6c38</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>enqueue</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a45c4a630eeb9dd84d3c6379086615fa5</anchor>
      <arglist>(Job *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>finish</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>aa19bf1f548d9230058337dab280fbb68</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a1b6d91f0a706142cc8c9e2c5f95afc4e</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isIdle</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>afe61032e22bb9d2d0a05fbf281202e5a</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>maximumNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>afc1f7dccc575aacffca1638bbbcd8498</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>queueLength</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>ab1bbf534430d058357385c1a6a6d37c1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>registerObserver</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>ad68dd08c43f01d356cf325c9825f0855</anchor>
      <arglist>(WeaverObserver *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>requestAbort</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a26d31407025a4cb92c3dbb9afd25e0d5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a0efdb55b42ed0cfdee366ba669275273</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setMaximumNumberOfThreads</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>aa5b26a573c8a1b56fd9ffb8cfba2cfc9</anchor>
      <arglist>(int cap)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const State &amp;</type>
      <name>state</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>ac2edf90e2d583e30ac040141d74ba600</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1WeaverInterface.html</anchorfile>
      <anchor>a2c4c8cbd62ce669a5a246a0cf8dcceba</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::WeaverObserver</name>
    <filename>classThreadWeaver_1_1WeaverObserver.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>threadBusy</name>
      <anchorfile>classThreadWeaver_1_1WeaverObserver.html</anchorfile>
      <anchor>ae5c69c5b2aebff7382f0fa8a0650bc77</anchor>
      <arglist>(ThreadWeaver::Thread *, ThreadWeaver::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadExited</name>
      <anchorfile>classThreadWeaver_1_1WeaverObserver.html</anchorfile>
      <anchor>a6f93ed4dfd8df97471b6d074d0e71c8f</anchor>
      <arglist>(ThreadWeaver::Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadStarted</name>
      <anchorfile>classThreadWeaver_1_1WeaverObserver.html</anchorfile>
      <anchor>acaaaa3a61af99e31daef9d9630a3e934</anchor>
      <arglist>(ThreadWeaver::Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadSuspended</name>
      <anchorfile>classThreadWeaver_1_1WeaverObserver.html</anchorfile>
      <anchor>a24aa2b4ba8cc717aa6baae132507475d</anchor>
      <arglist>(ThreadWeaver::Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>weaverStateChanged</name>
      <anchorfile>classThreadWeaver_1_1WeaverObserver.html</anchorfile>
      <anchor>a6d8c1603887ea67d61d3ab2d409f3456</anchor>
      <arglist>(ThreadWeaver::State *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WeaverObserver</name>
      <anchorfile>classThreadWeaver_1_1WeaverObserver.html</anchorfile>
      <anchor>a7d7f719c11bccbd624b309f985910ed9</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~WeaverObserver</name>
      <anchorfile>classThreadWeaver_1_1WeaverObserver.html</anchorfile>
      <anchor>a02d400285e50c792b3aae4969ecf6c75</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ThreadWeaver::WorkingHardState</name>
    <filename>classThreadWeaver_1_1WorkingHardState.html</filename>
    <base>ThreadWeaver::StateImplementation</base>
    <member kind="function">
      <type></type>
      <name>WorkingHardState</name>
      <anchorfile>classThreadWeaver_1_1WorkingHardState.html</anchorfile>
      <anchor>a4585204d4c06a43cb22234009c86843b</anchor>
      <arglist>(WeaverImpl *weaver)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activated</name>
      <anchorfile>classThreadWeaver_1_1WorkingHardState.html</anchorfile>
      <anchor>a4edfe86914fb46bbfbe0156e2a7d086e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classThreadWeaver_1_1WorkingHardState.html</anchorfile>
      <anchor>afb4da3e355ef1d4ca983d9eec7641c1d</anchor>
      <arglist>(Thread *th, Job *previous)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resume</name>
      <anchorfile>classThreadWeaver_1_1WorkingHardState.html</anchorfile>
      <anchor>a27ec21f8cdd1d3f9bfcf47dd9491b43c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StateId</type>
      <name>stateId</name>
      <anchorfile>classThreadWeaver_1_1WorkingHardState.html</anchorfile>
      <anchor>ae7c812c68ce2d539462bb407285352a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classThreadWeaver_1_1WorkingHardState.html</anchorfile>
      <anchor>a5b375953aab8519a6ee9ddfd87c75528</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>waitForAvailableJob</name>
      <anchorfile>classThreadWeaver_1_1WorkingHardState.html</anchorfile>
      <anchor>a1c36dc448f1b8c2e70f6a2ab5a6b6756</anchor>
      <arglist>(Thread *th)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>threadweaver</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/</path>
    <filename>dir_d8daf0a2b70d04a57a15309571c14dc0.html</filename>
    <dir>Weaver</dir>
    <file>threadweaver_export.h</file>
  </compound>
  <compound kind="dir">
    <name>Weaver</name>
    <path>/builddir/build/BUILD/kdelibs-4.14.33/threadweaver/Weaver/</path>
    <filename>dir_0daf4350c38818f849f2876910203dfa.html</filename>
    <file>DebuggingAids.cpp</file>
    <file>DebuggingAids.h</file>
    <file>DependencyPolicy.cpp</file>
    <file>DependencyPolicy.h</file>
    <file>DestructedState.cpp</file>
    <file>DestructedState.h</file>
    <file>IncludeMocs.cpp</file>
    <file>InConstructionState.cpp</file>
    <file>InConstructionState.h</file>
    <file>Job.cpp</file>
    <file>Job.h</file>
    <file>Job_p.h</file>
    <file>JobCollection.cpp</file>
    <file>JobCollection.h</file>
    <file>JobCollection_p.h</file>
    <file>JobSequence.cpp</file>
    <file>JobSequence.h</file>
    <file>QueuePolicy.h</file>
    <file>ResourceRestrictionPolicy.cpp</file>
    <file>ResourceRestrictionPolicy.h</file>
    <file>ShuttingDownState.cpp</file>
    <file>ShuttingDownState.h</file>
    <file>State.cpp</file>
    <file>State.h</file>
    <file>StateImplementation.cpp</file>
    <file>StateImplementation.h</file>
    <file>SuspendedState.cpp</file>
    <file>SuspendedState.h</file>
    <file>SuspendingState.cpp</file>
    <file>SuspendingState.h</file>
    <file>Thread.cpp</file>
    <file>Thread.h</file>
    <file>ThreadWeaver.cpp</file>
    <file>ThreadWeaver.h</file>
    <file>WeaverImpl.cpp</file>
    <file>WeaverImpl.h</file>
    <file>WeaverInterface.cpp</file>
    <file>WeaverInterface.h</file>
    <file>WeaverObserver.cpp</file>
    <file>WeaverObserver.h</file>
    <file>WorkingHardState.cpp</file>
    <file>WorkingHardState.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>ThreadWeaver</title>
    <filename>index</filename>
    <docanchor file="index" title="Example Code">Tests</docanchor>
  </compound>
</tagfile>
